## logswan 2.0.3

=== CMakeLists.txt ===
###############################################################################
#                                                                             #
# Logswan 2.0.3                                                               #
# Copyright (c) 2015-2018, Frederic Cambus                                    #
# https://www.logswan.org                                                     #
#                                                                             #
# Created:      2015-05-31                                                    #
# Last Updated: 2018-10-15                                                    #
#                                                                             #
# Logswan is released under the BSD 2-Clause license.                         #
# See LICENSE file for details.                                               #
#                                                                             #
###############################################################################

cmake_minimum_required (VERSION 2.6)

project(logswan C)

include(CheckFunctionExists)
include(GNUInstallDirs)

# Check if system has pledge and strtonum
list(APPEND CMAKE_REQUIRED_DEFINITIONS -D_OPENBSD_SOURCE)
check_function_exists(pledge HAVE_PLEDGE)
check_function_exists(strtonum HAVE_STRTONUM)

# Additional include directories for compat functions + dependencies
include_directories("compat")
include_directories("deps/hll")

# libmaxminddb
find_path(GEOIP2_INCLUDE_DIRS maxminddb.h)
find_library(GEOIP2_LIBRARIES NAMES maxminddb REQUIRED)
include_directories(${GEOIP2_INCLUDE_DIRS})

# Jansson
find_path(JANSSON_INCLUDE_DIRS jansson.h)
find_library(JANSSON_LIBRARIES NAMES jansson REQUIRED)
include_directories(${JANSSON_INCLUDE_DIRS})

set(CMAKE_BUILD_TYPE Release)
set(DEPS deps/hll/hll.c deps/MurmurHash3/MurmurHash3.c)
set(SRC src/logswan.c src/config.c src/continents.c src/countries.c src/output.c src/parse.c)

if(NOT HAVE_PLEDGE)
  set (SRC ${SRC} compat/pledge.c)
endif()

if(NOT HAVE_STRTONUM)
  set (SRC ${SRC} compat/strtonum.c)
endif()

SET(GEOIP2DIR ${CMAKE_INSTALL_PREFIX}/share/GeoIP2 CACHE PATH "Path to GeoIP2 databases")

add_definitions(-Wall -Wextra -std=c11 -pedantic)
add_definitions(-DGEOIP2DIR="${GEOIP2DIR}/")
add_executable(logswan ${SRC} ${DEPS})

target_link_libraries(logswan ${GEOIP2_LIBRARIES} ${JANSSON_LIBRARIES} m)

install(TARGETS logswan DESTINATION bin)
install(FILES logswan.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1/)

=== debian/changelog ===
logswan (2.0.3-1) unstable; urgency=medium

  * Initial release. (Closes: #919267)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sat, 08 Dec 2018 15:51:54 +0100

=== debian/control ===
Source: logswan
Section: web
Priority: optional
Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), cmake, libjansson-dev, libmaxminddb-dev
Standards-Version: 4.2.1
Homepage: https://github.com/fcambus/logswan

Package: logswan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fast Web log analyzer using probabilistic data structures
 This is a fast Web log analyzer using probabilistic data structures. It is
 targeted at very large log files, typically APIs logs. It has constant memory
 usage regardless of the log file size, and takes approximatively 4 MB of RAM.
 .
 Unique visitors counting is performed using two HyperLogLog counters (one for
 IPv4, and another one for IPv6), providing a relative accuracy of 0.10%.

## logswan 2.0.4

=== debian/changelog ===
logswan (2.0.4-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 30 Aug 2019 17:38:27 +0200

logswan (2.0.3-2) unstable; urgency=medium

  * debian/control: wrap-and-sort -bast.
  * debian/compat: dropped.
  * debian/copyright: relicensed debian/* to BSD-2-clause.
  * Bump standards version to 12.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 22 Jan 2019 05:35:01 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,20 @@
 Section: web
 Priority: optional
 Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11), cmake, libjansson-dev, libmaxminddb-dev
+Build-Depends:
+ cmake,
+ debhelper (>= 12),
+ debhelper-compat (= 12),
+ libjansson-dev,
+ libmaxminddb-dev,
 Standards-Version: 4.2.1
 Homepage: https://github.com/fcambus/logswan
 
 Package: logswan
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: fast Web log analyzer using probabilistic data structures
  This is a fast Web log analyzer using probabilistic data structures. It is
  targeted at very large log files, typically APIs logs. It has constant memory

## logswan 2.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 ###############################################################################
 #                                                                             #
-# Logswan 2.0.3                                                               #
-# Copyright (c) 2015-2018, Frederic Cambus                                    #
+# Logswan 2.1.0                                                               #
+# Copyright (c) 2015-2019, Frederic Cambus                                    #
 # https://www.logswan.org                                                     #
 #                                                                             #
 # Created:      2015-05-31                                                    #

=== debian/changelog ===
logswan (2.1.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.4.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 25 Oct 2019 08:27:18 +0200

## logswan 2.1.1

=== CMakeLists.txt ===
#
# Logswan 2.1.1
# Copyright (c) 2015-2019, Frederic Cambus
# https://www.logswan.org
#
# Created:      2015-05-31
# Last Updated: 2018-10-26
#
# Logswan is released under the BSD 2-Clause license
# See LICENSE file for details
#

cmake_minimum_required (VERSION 2.6)

project(logswan C)

include(CheckFunctionExists)
include(GNUInstallDirs)

# Check if system has pledge and strtonum
list(APPEND CMAKE_REQUIRED_DEFINITIONS -D_OPENBSD_SOURCE)
check_function_exists(pledge HAVE_PLEDGE)
check_function_exists(strtonum HAVE_STRTONUM)

# Check if system has seccomp
message(STATUS "Looking for seccomp")
find_path(SECCOMP NAMES "linux/seccomp.h")
if(SECCOMP)
  message(STATUS "Looking for seccomp - found")
  add_definitions(-DHAVE_SECCOMP=1)
else()
  message(STATUS "Looking for seccomp - not found")
endif()

# Additional include directories for compat functions + dependencies
include_directories("compat")
include_directories("deps/hll")

# libmaxminddb
find_path(GEOIP2_INCLUDE_DIRS maxminddb.h)
find_library(GEOIP2_LIBRARIES NAMES maxminddb REQUIRED)
include_directories(${GEOIP2_INCLUDE_DIRS})

# Jansson
find_path(JANSSON_INCLUDE_DIRS jansson.h)
find_library(JANSSON_LIBRARIES NAMES jansson REQUIRED)
include_directories(${JANSSON_INCLUDE_DIRS})

set(CMAKE_BUILD_TYPE Release)
set(DEPS deps/hll/hll.c deps/MurmurHash3/MurmurHash3.c)
set(SRC src/logswan.c src/config.c src/continents.c src/countries.c
    src/output.c src/parse.c)

if(NOT HAVE_PLEDGE)
  set (SRC ${SRC} compat/pledge.c)
endif()

if(NOT HAVE_STRTONUM)
  set (SRC ${SRC} compat/strtonum.c)
endif()

set(GEOIP2DIR ${CMAKE_INSTALL_PREFIX}/share/GeoIP2
    CACHE PATH "Path to GeoIP2 databases")

add_definitions(-Wall -Wextra -std=c11 -pedantic)
add_definitions(-DGEOIP2DIR="${GEOIP2DIR}/")
add_executable(logswan ${SRC} ${DEPS})

target_link_libraries(logswan ${GEOIP2_LIBRARIES} ${JANSSON_LIBRARIES} m)

install(TARGETS logswan DESTINATION bin)
install(FILES logswan.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1/)

enable_testing()
add_test(logswan logswan)

=== debian/changelog ===
logswan (2.1.1-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 31 Oct 2019 08:24:01 +0100

## logswan 2.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #
-# Logswan 2.1.1
+# Logswan 2.1.2
 # Copyright (c) 2015-2019, Frederic Cambus
 # https://www.logswan.org
 #
 # Created:      2015-05-31
-# Last Updated: 2018-10-26
+# Last Updated: 2018-11-19
 #
 # Logswan is released under the BSD 2-Clause license
 # See LICENSE file for details
@@ -17,20 +17,26 @@
 include(CheckFunctionExists)
 include(GNUInstallDirs)
 
+# Conditional build options
+set(ENABLE_SECCOMP 0
+    CACHE BOOL "Enable building with seccomp")
+
 # Check if system has pledge and strtonum
 list(APPEND CMAKE_REQUIRED_DEFINITIONS -D_OPENBSD_SOURCE)
 check_function_exists(pledge HAVE_PLEDGE)
 check_function_exists(strtonum HAVE_STRTONUM)
 
-# Check if system has seccomp
-message(STATUS "Looking for seccomp")
-find_path(SECCOMP NAMES "linux/seccomp.h")
-if(SECCOMP)
-  message(STATUS "Looking for seccomp - found")
-  add_definitions(-DHAVE_SECCOMP=1)
-else()
-  message(STATUS "Looking for seccomp - not found")
-endif()
+if(ENABLE_SECCOMP)
+  # Check if system has seccomp
+  message(STATUS "Looking for seccomp")
+  find_path(SECCOMP NAMES "linux/seccomp.h")
+  if(SECCOMP)
+    message(STATUS "Looking for seccomp - found")
+    add_definitions(-DHAVE_SECCOMP=1)
+  else()
+    message(STATUS "Looking for seccomp - not found")
+  endif()
+endif(ENABLE_SECCOMP)
 
 # Additional include directories for compat functions + dependencies
 include_directories("compat")
@@ -68,7 +74,7 @@
 
 target_link_libraries(logswan ${GEOIP2_LIBRARIES} ${JANSSON_LIBRARIES} m)
 
-install(TARGETS logswan DESTINATION bin)
+install(TARGETS logswan DESTINATION ${CMAKE_INSTALL_BINDIR})
 install(FILES logswan.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1/)
 
 enable_testing()

## logswan 2.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
-# Logswan 2.1.2
-# Copyright (c) 2015-2019, Frederic Cambus
+# Logswan 2.1.3
+# Copyright (c) 2015-2020, Frederic Cambus
 # https://www.logswan.org
 #
 # Created:      2015-05-31
@@ -79,3 +79,4 @@
 
 enable_testing()
 add_test(logswan logswan)
+add_test(processing logswan ${PROJECT_SOURCE_DIR}/examples/logswan.log)

=== debian/changelog ===
logswan (2.1.3-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 20 Jan 2020 12:48:13 +0100

logswan (2.1.2-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 25 Nov 2019 13:23:13 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  debhelper-compat (= 12),
  libjansson-dev,
  libmaxminddb-dev,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: https://github.com/fcambus/logswan
 
 Package: logswan

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/fcambus/logswan/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## logswan 2.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #
-# Logswan 2.1.3
+# Logswan 2.1.4
 # Copyright (c) 2015-2020, Frederic Cambus
 # https://www.logswan.org
 #
 # Created:      2015-05-31
-# Last Updated: 2018-11-19
+# Last Updated: 2020-03-27
 #
 # Logswan is released under the BSD 2-Clause license
 # See LICENSE file for details
@@ -65,11 +65,13 @@
   set (SRC ${SRC} compat/strtonum.c)
 endif()
 
-set(GEOIP2DIR ${CMAKE_INSTALL_PREFIX}/share/GeoIP2
+set(GEOIP2DIR ${CMAKE_INSTALL_PREFIX}/share/dbip
     CACHE PATH "Path to GeoIP2 databases")
+set(GEOIP2DB "dbip-country-lite.mmdb" CACHE PATH "GeoIP2 database file")
 
 add_definitions(-Wall -Wextra -std=c11 -pedantic)
 add_definitions(-DGEOIP2DIR="${GEOIP2DIR}/")
+add_definitions(-DGEOIP2DB="${GEOIP2DB}")
 add_executable(logswan ${SRC} ${DEPS})
 
 target_link_libraries(logswan ${GEOIP2_LIBRARIES} ${JANSSON_LIBRARIES} m)

=== debian/changelog ===
logswan (2.1.4-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.5.0.
  * Add Vcs fields.
  * Update copyright fields.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 11 May 2020 08:37:47 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,9 @@
  debhelper-compat (= 12),
  libjansson-dev,
  libmaxminddb-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/myczko-guest/logswan
+Vcs-Git: https://salsa.debian.org/myczko-guest/logswan.git
 Homepage: https://github.com/fcambus/logswan
 
 Package: logswan

## logswan 2.1.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #
-# Logswan 2.1.4
+# Logswan 2.1.8
 # Copyright (c) 2015-2020, Frederic Cambus
 # https://www.logswan.org
 #
 # Created:      2015-05-31
-# Last Updated: 2020-03-27
+# Last Updated: 2020-08-28
 #
 # Logswan is released under the BSD 2-Clause license
 # See LICENSE file for details
@@ -32,7 +32,7 @@
   find_path(SECCOMP NAMES "linux/seccomp.h")
   if(SECCOMP)
     message(STATUS "Looking for seccomp - found")
-    add_definitions(-DHAVE_SECCOMP=1)
+    add_definitions(-DHAVE_SECCOMP)
   else()
     message(STATUS "Looking for seccomp - not found")
   endif()
@@ -69,7 +69,7 @@
     CACHE PATH "Path to GeoIP2 databases")
 set(GEOIP2DB "dbip-country-lite.mmdb" CACHE PATH "GeoIP2 database file")
 
-add_definitions(-Wall -Wextra -std=c11 -pedantic)
+add_definitions(-D_GNU_SOURCE -D_FORTIFY_SOURCE=2 -Wall -Wextra -std=c11 -pedantic)
 add_definitions(-DGEOIP2DIR="${GEOIP2DIR}/")
 add_definitions(-DGEOIP2DB="${GEOIP2DB}")
 add_executable(logswan ${SRC} ${DEPS})
@@ -81,4 +81,6 @@
 
 enable_testing()
 add_test(logswan logswan)
-add_test(processing logswan ${PROJECT_SOURCE_DIR}/examples/logswan.log)
+add_test(processing logswan ${PROJECT_SOURCE_DIR}/tests/logswan.log)
+add_test(geolocation logswan -g -d ${PROJECT_SOURCE_DIR}/tests/logswan.mmdb
+         ${PROJECT_SOURCE_DIR}/tests/logswan.log)

=== debian/changelog ===
logswan (2.1.8-1) unstable; urgency=medium

  * New upstream version.
  * Bump debhelper version to 13.
  * d/copyright: set Upstream-Contact.
  * d/upstream/metadata: added.
  * d/control: added Rules-Requires-Root.
  * d/watch: drop template part.
  * d/examples: added.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 26 Nov 2020 08:58:13 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
 Build-Depends:
  cmake,
- debhelper (>= 12),
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libjansson-dev,
  libmaxminddb-dev,
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/myczko-guest/logswan
 Vcs-Git: https://salsa.debian.org/myczko-guest/logswan.git
 Homepage: https://github.com/fcambus/logswan

## logswan 2.1.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #
-# Logswan 2.1.8
-# Copyright (c) 2015-2020, Frederic Cambus
+# Logswan 2.1.10
+# Copyright (c) 2015-2021, Frederic Cambus
 # https://www.logswan.org
 #
 # Created:      2015-05-31
-# Last Updated: 2020-08-28
+# Last Updated: 2021-02-14
 #
 # Logswan is released under the BSD 2-Clause license
 # See LICENSE file for details
@@ -52,7 +52,6 @@
 find_library(JANSSON_LIBRARIES NAMES jansson REQUIRED)
 include_directories(${JANSSON_INCLUDE_DIRS})
 
-set(CMAKE_BUILD_TYPE Release)
 set(DEPS deps/hll/hll.c deps/MurmurHash3/MurmurHash3.c)
 set(SRC src/logswan.c src/config.c src/continents.c src/countries.c
     src/output.c src/parse.c)
@@ -69,7 +68,7 @@
     CACHE PATH "Path to GeoIP2 databases")
 set(GEOIP2DB "dbip-country-lite.mmdb" CACHE PATH "GeoIP2 database file")
 
-add_definitions(-D_GNU_SOURCE -D_FORTIFY_SOURCE=2 -Wall -Wextra -std=c11 -pedantic)
+add_definitions(-D_GNU_SOURCE -Wall -Wextra -std=c11 -pedantic)
 add_definitions(-DGEOIP2DIR="${GEOIP2DIR}/")
 add_definitions(-DGEOIP2DB="${GEOIP2DB}")
 add_executable(logswan ${SRC} ${DEPS})

=== debian/changelog ===
logswan (2.1.10-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 09 Sep 2021 09:38:41 +0200

logswan (2.1.10-1) experimental; urgency=medium

  * New upstream version.
  * d/copyright: bump years.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 18 Feb 2021 11:51:23 +0100

## logswan 2.1.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,22 @@
 #
-# Logswan 2.1.10
+# Logswan 2.1.11
 # Copyright (c) 2015-2021, Frederic Cambus
 # https://www.logswan.org
 #
 # Created:      2015-05-31
-# Last Updated: 2021-02-14
+# Last Updated: 2021-10-18
 #
-# Logswan is released under the BSD 2-Clause license
-# See LICENSE file for details
+# Logswan is released under the BSD 2-Clause license.
+# See LICENSE file for details.
+#
+# SPDX-License-Identifier: BSD-2-Clause
 #
 
-cmake_minimum_required (VERSION 2.6)
+cmake_minimum_required(VERSION 3.1)
+
+set(CMAKE_C_STANDARD 11)
+set(CMAKE_C_STANDARD_REQUIRED ON)
+set(CMAKE_C_EXTENSIONS OFF)
 
 project(logswan C)
 
@@ -18,8 +24,7 @@
 include(GNUInstallDirs)
 
 # Conditional build options
-set(ENABLE_SECCOMP 0
-    CACHE BOOL "Enable building with seccomp")
+set(ENABLE_SECCOMP 0 CACHE BOOL "Enable building with seccomp")
 
 # Check if system has pledge and strtonum
 list(APPEND CMAKE_REQUIRED_DEFINITIONS -D_OPENBSD_SOURCE)
@@ -57,18 +62,18 @@
     src/output.c src/parse.c)
 
 if(NOT HAVE_PLEDGE)
-  set (SRC ${SRC} compat/pledge.c)
+  set(SRC ${SRC} compat/pledge.c)
 endif()
 
 if(NOT HAVE_STRTONUM)
-  set (SRC ${SRC} compat/strtonum.c)
+  set(SRC ${SRC} compat/strtonum.c)
 endif()
 
 set(GEOIP2DIR ${CMAKE_INSTALL_PREFIX}/share/dbip
     CACHE PATH "Path to GeoIP2 databases")
 set(GEOIP2DB "dbip-country-lite.mmdb" CACHE PATH "GeoIP2 database file")
 
-add_definitions(-D_GNU_SOURCE -Wall -Wextra -std=c11 -pedantic)
+add_definitions(-D_GNU_SOURCE -Wall -Wextra -pedantic)
 add_definitions(-DGEOIP2DIR="${GEOIP2DIR}/")
 add_definitions(-DGEOIP2DB="${GEOIP2DB}")
 add_executable(logswan ${SRC} ${DEPS})

=== debian/changelog ===
logswan (2.1.11-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.0.
  * Update Vcs fields.
  * Update maintainer address.

 -- Gürkan Myczko <tar@debian.org>  Tue, 16 Nov 2021 14:12:48 +0100

## logswan 2.1.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Logswan 2.1.11
+# Logswan 2.1.12
 # Copyright (c) 2015-2021, Frederic Cambus
 # https://www.logswan.org
 #

=== debian/changelog ===
logswan (2.1.12-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Thu, 02 Dec 2021 20:03:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: logswan
 Section: web
 Priority: optional
-Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
+Maintainer: Gürkan Myczko <tar@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
  libjansson-dev,
  libmaxminddb-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/myczko-guest/logswan
-Vcs-Git: https://salsa.debian.org/myczko-guest/logswan.git
+Vcs-Browser: https://salsa.debian.org/tar/logswan
+Vcs-Git: https://salsa.debian.org/tar/logswan.git
 Homepage: https://github.com/fcambus/logswan
 
 Package: logswan

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%" \
   https://github.com/fcambus/logswan/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## logswan 2.1.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #
-# Logswan 2.1.12
-# Copyright (c) 2015-2021, Frederic Cambus
+# Logswan 2.1.14
+# Copyright (c) 2015-2023, Frederic Cambus
 # https://www.logswan.org
 #
 # Created:      2015-05-31
-# Last Updated: 2021-10-18
+# Last Updated: 2023-03-13
 #
 # Logswan is released under the BSD 2-Clause license.
 # See LICENSE file for details.
@@ -81,10 +81,13 @@
 target_link_libraries(logswan ${GEOIP2_LIBRARIES} ${JANSSON_LIBRARIES} m)
 
 install(TARGETS logswan DESTINATION ${CMAKE_INSTALL_BINDIR})
-install(FILES logswan.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1/)
+install(FILES man/logswan.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1/)
 
 enable_testing()
 add_test(logswan logswan)
+add_test(usage logswan -h)
+add_test(version logswan -v)
 add_test(processing logswan ${PROJECT_SOURCE_DIR}/tests/logswan.log)
+add_test(invalid logswan ${PROJECT_SOURCE_DIR}/tests/invalid.log)
 add_test(geolocation logswan -g -d ${PROJECT_SOURCE_DIR}/tests/logswan.mmdb
          ${PROJECT_SOURCE_DIR}/tests/logswan.log)

=== debian/changelog ===
logswan (2.1.14-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gürkan Myczko <tar@debian.org>  Sun, 11 Jun 2023 19:56:30 +0200

logswan (2.1.14-1) experimental; urgency=medium

  * New upstream version.
  * d/copyright: bump years.
  * Bump standards version to 4.6.2.
  * d/control: update Vcs fields.

 -- Gürkan Myczko <tar@debian.org>  Mon, 17 Apr 2023 08:55:19 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
  debhelper-compat (= 13),
  libjansson-dev,
  libmaxminddb-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/tar/logswan
-Vcs-Git: https://salsa.debian.org/tar/logswan.git
+Vcs-Browser: https://salsa.debian.org/debian/logswan
+Vcs-Git: https://salsa.debian.org/debian/logswan.git
 Homepage: https://github.com/fcambus/logswan
 
 Package: logswan

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -W

%:
	dh $@

## logswan 2.1.15

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #
-# Logswan 2.1.14
-# Copyright (c) 2015-2023, Frederic Cambus
+# Logswan 2.1.15
+# Copyright (c) 2015-2025, Frederic Cambus
 # https://www.logswan.org
 #
 # Created:      2015-05-31
-# Last Updated: 2023-03-13
+# Last Updated: 2025-03-24
 #
 # Logswan is released under the BSD 2-Clause license.
 # See LICENSE file for details.
@@ -12,7 +12,7 @@
 # SPDX-License-Identifier: BSD-2-Clause
 #
 
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.10)
 
 set(CMAKE_C_STANDARD 11)
 set(CMAKE_C_STANDARD_REQUIRED ON)

=== debian/changelog ===
logswan (2.1.15-1) unstable; urgency=medium

  * QA upload.
  * add debian/gbp.conf
  * New upstream version 2.1.15
  * d/rules: clear unneeded export
  * d/copyright:
      - update year info to 2025
      - add License public-domain for deps/MurmurHash3/MurmurHash3.c
      - add License ISC for compat/strtonum.c
  * Bump Standards-Version: 4.7.2
  * d/control: set Maintainer to Debian QA Group <packages@qa.debian.org>

 -- xiao sheng wen <atzlinux@debian.org>  Fri, 28 Mar 2025 16:59:25 +0800

logswan (2.1.14-3) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Tue, 16 Jul 2024 14:35:57 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: logswan
 Section: web
 Priority: optional
-Maintainer: Gürkan Myczko <tar@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
  libjansson-dev,
  libmaxminddb-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/logswan
 Vcs-Git: https://salsa.debian.org/debian/logswan.git
